<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>

  <body>
    <h1>Gộp mảng và clone Object</h1>
  </body>
  <script>
    ////////////////           TEST 1        ///////////////
    function test_1() {
      let arr_1 = ["A", "B", "C"];
      let arr_2 = ["X", "Y", "Z"];
      let arr_3 = [...arr_1, ...arr_2];
      console.log("Test 1");
      console.log(arr_3);
    }
    test_1();

    ////////////////           TEST 2        ///////////////
    function test_2() {
      let vArr = ["Apple", "Orange", "Banana"];
      let vNewArr = [...vArr, "Cherry"];

      console.log("Test 2");
      console.log(vNewArr);
    }
    test_2();

    ////////////////           TEST 3        ///////////////

    function test_3() {
      var obj1 = {
        id: 101,
        name: "Jhon Doe",
      };
      var obj2 = {
        age: 25,
        country: "USA",
      };

      var vMyObj = {
        ...obj1,
        ...obj2,
      };
      console.log("Test 3");
      console.log(vMyObj);
    }
    test_3();
  </script>
</html>
